classification
Title: bdist_rpm should support %config(noreplace)
Type: enhancement Stage: resolved
Components: Distutils Versions: Python 3.5
process
Status: closed Resolution: out of date
Dependencies: Superseder:
Assigned To: Nosy List: akaihola, anormuradov, eric.araujo, kv, steve.dower, vitalyisaev2
Priority: normal Keywords: patch

Created on 2014-01-21 22:36 by kv, last changed 2021-02-03 18:26 by steve.dower. This issue is now closed.

Files
File name Uploaded Description Edit
bdist_rpm-add-config-file.diff kv, 2014-01-21 22:36 Diff/patch to add config_file support.
Messages (6)
msg208715 - (view) Author: KV (kv) Date: 2014-01-21 22:36
bdist_rpm should support handling %config(noreplace) to help with packaging.

Patch attached.
msg213371 - (view) Author: Éric Araujo (eric.araujo) * (Python committer) Date: 2014-03-13 09:24
Can you give more information about this change?

As a new feature, it cannot go into 2.7.
msg213500 - (view) Author: KV (kv) Date: 2014-03-14 00:33
Configuration files in RPMs can have several attributes, one important one is 'noreplace' (i.e., "%config(noreplace) file-name").  This allows for configuration files that have been changed after the RPM has been installed to not be over-written when the RPM is updated -- for example with a later version.
This is very important, because you often want to customize your configuration -- that's what the configuration is for after all.  Without 'noreplace', your changes will be over-written by the updated RPM's "stock" configuration file.

I'm sad to see it can't be made available for 2.6/2.7.  I realize this is very old, but that's the version that's stock on RedHat Enterprise Linux -- which many of us are forced to use through our work environments.

On Thursday, March 13, 2014 5:24 AM, Éric Araujo <report@bugs.python.org> wrote:

>Éric Araujo added the comment:
>
>Can you give more information about this change?
>
>As a new feature, it cannot go into 2.7.
>
>
>----------
>components: +Distutils -Build
>nosy: +eric.araujo
>type:  -> enhancement
>versions: +Python 3.5 -Python 2.7
>
>_______________________________________
>Python tracker <report@bugs.python.org>
><http://bugs.python.org/issue20337>
>_______________________________________
>
>
msg213501 - (view) Author: KV (kv) Date: 2014-03-14 00:33
Configuration files in RPMs can have several attributes, one important one is 'noreplace' (i.e., "%config(noreplace) file-name").  This allows for configuration files that have been changed after the RPM has been installed to not be over-written when the RPM is updated -- for example with a later version.
This is very important, because you often want to customize your configuration -- that's what the configuration is for after all.  Without 'noreplace', your changes will be over-written by the updated RPM's "stock" configuration file.

I'm sad to see it can't be made available for 2.6/2.7.  I realize this is very old, but that's the version that's stock on RedHat Enterprise Linux -- which many of us are forced to use through our work environments.

On Thursday, March 13, 2014 5:24 AM, Éric Araujo <report@bugs.python.org> wrote:

>Éric Araujo added the comment:
>
>Can you give more information about this change?
>
>As a new feature, it cannot go into 2.7.
>
>
>----------
>components: +Distutils -Build
>nosy: +eric.araujo
>type:  -> enhancement
>versions: +Python 3.5 -Python 2.7
>
>_______________________________________
>Python tracker <report@bugs.python.org>
><http://bugs.python.org/issue20337>
>_______________________________________
>
>
msg222157 - (view) Author: Vitaly Isaev (vitalyisaev2) Date: 2014-07-03 08:22
I confirm the urgent need in this feature.
msg386376 - (view) Author: Steve Dower (steve.dower) * (Python committer) Date: 2021-02-03 18:26
Distutils is now deprecated (see PEP 632) and all tagged issues are being closed. From now until removal, only release blocking issues will be considered for distutils.

If this issue does not relate to distutils, please remove the component and reopen it. If you believe it still requires a fix, most likely the issue should be re-reported at https://github.com/pypa/setuptools
History
Date User Action Args
2021-02-03 18:26:19steve.dowersetstatus: open -> closed

nosy: + steve.dower
messages: + msg386376

resolution: out of date
stage: resolved
2016-01-12 13:42:43akaiholasetnosy: + akaihola
2015-07-22 18:37:30anormuradovsetnosy: + anormuradov
2014-07-03 08:22:58vitalyisaev2setnosy: + vitalyisaev2
messages: + msg222157
2014-03-14 00:33:37kvsetmessages: + msg213501
2014-03-14 00:33:37kvsetmessages: + msg213500
2014-03-13 09:24:55eric.araujosetversions: + Python 3.5, - Python 2.7
nosy: + eric.araujo

messages: + msg213371

components: + Distutils, - Build
type: enhancement
2014-01-21 22:36:52kvcreate